<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="section">
  <div class="flex flex-col items-center justify-center text-center px-10 py-20 gap-10">
    <div class="font-semibold text-xxl tracking-wide w-96 leading-none">Add Data Broker</div>
    <div class="w-96">Do you want to add new Data Broker to your organisation?</div>
    <div>
      <app-role-checker [allowedRoles]="[admin, nodeOperator]">
        <ng-template let-authorized>
          <p-button label="Add Data Broker" icon="pi pi-plus" size="small" routerLink="/onboarding/connect-to-node" [disabled]="!authorized"></p-button>
          <div *ngIf="!authorized" class="mt-4">
            <app-info message="Insufficient role to add Data Broker"></app-info>
          </div>
        </ng-template>
      </app-role-checker>
    </div>
  </div>
</div>
